Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(214)

Unified Diff: third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh

Issue 9666033: Experiment for updating the tcmalloc chromium branch to r144 (gperftools 2.0). (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 8 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh
diff --git a/third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh b/third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh
index 4a83fc20c15eda62d55c835960e62a7af6b272cf..ab4a666c6b5e2de2dda246ec73820baebde8d6c8 100644
--- a/third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh
+++ b/third_party/tcmalloc/chromium/src/tests/heap-checker-death_unittest.sh
@@ -84,11 +84,11 @@ Test() {
output="$TMPDIR/output"
ALARM $timeout env "$@" $EXE > "$output" 2>&1
actual_ec=$?
- ec_ok=$(expr "$actual_ec" : "$expected_ec$" >/dev/null || echo false)
- matches_ok=$(test -z "$expected_regexp" || \
- grep -q "$expected_regexp" "$output" || echo false)
- negmatches_ok=$(test -z "$unexpected_regexp" || \
- ! grep -q "$unexpected_regexp" "$output" || echo false)
+ ec_ok=`expr "$actual_ec" : "$expected_ec$" >/dev/null || echo false`
+ matches_ok=`test -z "$expected_regexp" || \
+ grep "$expected_regexp" "$output" >/dev/null 2>&1 || echo false`
+ negmatches_ok=`test -z "$unexpected_regexp" || \
+ ! grep "$unexpected_regexp" "$output" >/dev/null 2>&1 || echo false`
if $ec_ok && $matches_ok && $negmatches_ok; then
echo "PASS"
return 0 # 0: success

Powered by Google App Engine
This is Rietveld 408576698